/**
 * Inspired by lastpass + https://github.com/bradtraversy/50projects50days/blob/master/password-generator/script.js
 */
export interface IGeneratePasswordOptions {
    /**
     * Password Length, min: 6
     */
    length: number;
    /**
     * Allow Uppercase, default: true
     */
    uppercase?: boolean;
    /**
     * Allow lowercase, default: true
     */
    lowercase?: boolean;
    /**
     * Allow numbers, default: true
     */
    numbers?: boolean;
    /**
     * Allow symbols, default: true
     */
    symbols?: boolean;
    /**
     * Avoid numbers and special characters, default: false
     *  that is, numbers = false and symbols = false
     */
    easyToSay?: boolean;
    /**
     * Avoid ambiguous characters, default: false
     *  such as I, l, O, and 0
     */
    easyToRead?: boolean;
    /**
     * Use to tag
     *  if it was leaked, you will first to known
     *  for example, use domain, baidu.com
     *
     *  and it will use characters length
     */
    prefix?: string;
}
export declare function generatePassword(options: IGeneratePasswordOptions): string;
export default generatePassword;
